#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses serial port)

%define		pdir	Device
%define		pnam	SerialPort
Summary:	Device::SerialPort - Linux/POSIX emulation of Win32::SerialPort functions
Summary(pl.UTF-8):	Device::SerialPort - zgodna z POSIX emulacja funcji Win32::SerialPort w Linuksie
Name:		perl-Device-SerialPort
Version:	1.04
Release:	19
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82c698151f934eb28c65d1838cee7d9e
URL:		http://search.cpan.org/dist/Device-SerialPort/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Device::SerialPort module provides an object-based user interface
essentially identical to the one provided by the Win32::SerialPort
module.

%description -l pl.UTF-8
Moduł Device::SerialPort udostępnia zorientowany obiektowo interfejs,
zasadniczo identyczny z interfejsem udostępnianym przez moduł
Win32::SerialPort.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

# hack device test
%{__perl} -pi -e 's/^    print "\\tchecking.*$/\$file="\$test"; last;/' Makefile.PL

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	TESTPORT="/dev/ttyS1"
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README TODO
%attr(755,root,root) %{_bindir}/modemtest
%{perl_vendorarch}/Device/*.pm
%dir %{perl_vendorarch}/auto/Device/SerialPort
%attr(755,root,root) %{perl_vendorarch}/auto/Device/SerialPort/SerialPort.so
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man[13]/*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Device-SerialPort.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 625c8e0
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> c631c84
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> c381288
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 58c1e0e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 279904e
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> de67a71
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 81f5842
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 2613799
- release 13

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 04f57e7
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f4f5175
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 049086d
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2380fc2
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b81ab7d
- x32 rebuild
- release 8 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> cad316a
- use generic url

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> eee6aca
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> eb6e462
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e1cc4cf
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 979acaf
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> e607274
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> af04417
- release 3

